Bug 879183 - file detects netpbm files as ASCII files
Summary: file detects netpbm files as ASCII files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 976436
TreeView+ depends on / blocked
 
Reported: 2012-11-22 09:50 UTC by Iveta Wiedermann
Modified: 2014-06-13 09:59 UTC (History)
1 user (show)

Fixed In Version: file-5.11-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 976436 (view as bug list)
Environment:
Last Closed: 2014-06-13 09:59:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
ppm netpbm reproducer file (157.83 KB, image/x-portable-pixmap)
2012-11-22 09:50 UTC, Iveta Wiedermann
no flags Details
pgm netpbm reproducer file (39.17 KB, image/x-portable-graymap)
2012-11-22 09:52 UTC, Iveta Wiedermann
no flags Details

Description Iveta Wiedermann 2012-11-22 09:50:20 UTC
Created attachment 649604 [details]
ppm netpbm reproducer file

Description of problem:
File detects some netpbm files as ASCII or ASCII text, with very long lines.

Version-Release number of selected component (if applicable):
file-5.11-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. file pnmmontage-from-ppm.ppm
2. file pgmkernel-from-pgm.pgm
3.
  
Actual results:
pnmmontage-from-ppm.ppm: ASCII text
pgmkernel-from-pgm.pgm: ASCII text, with very long lines

Expected results:
Netpbm file type

Additional info:

Comment 1 Iveta Wiedermann 2012-11-22 09:52:09 UTC
Created attachment 649605 [details]
pgm netpbm reproducer file

Comment 2 Jan Kaluža 2012-11-22 09:54:25 UTC
Just submitted bug report upstream with patch: http://bugs.gw.com/view.php?id=216

Comment 3 Jan Kaluža 2013-06-17 12:45:00 UTC
Should be fixed in file-5.11-10.el7.

Comment 5 Ludek Smid 2014-06-13 09:59:49 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.